The Projects Settings object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

ignore_workstation_time_overlap boolean

Default: false

ignore_user_time_overlap boolean

Default: false

ignore_employee_time_overlap boolean

Default: false

fetch_timesheet_in_sales_invoice boolean

Default: false

The Projects Settings object
{
  "id": "projects-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "ignore_workstation_time_overlap": false,
  "ignore_user_time_overlap": false,
  "ignore_employee_time_overlap": false,
  "fetch_timesheet_in_sales_invoice": false
}
GET /api/projects/projects-settings

Retrieve projects settings

Retrieves the current projects settings. This is a singleton resource.

Returns

Returns the projects settings object.

GET /api/projects/projects-settings
curl https://api.overplane.dev/api/projects/projects-settings \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "projects-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "ignore_workstation_time_overlap": false,
  "ignore_user_time_overlap": false,
  "ignore_employee_time_overlap": false,
  "fetch_timesheet_in_sales_invoice": false
}
PATCH /api/projects/projects-settings/{id}

Update a projects settings

Updates the specified projects settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the projects settings to update.

Body parameters

ignore_workstation_time_overlap boolean

Default: false

ignore_user_time_overlap boolean

Default: false

ignore_employee_time_overlap boolean

Default: false

fetch_timesheet_in_sales_invoice boolean

Default: false

Returns

Returns the updated projects settings object.

PATCH /api/projects/projects-settings/{id}
curl https://api.overplane.dev/api/projects/projects-settings/projects-settings_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"ignore_workstation_time_overlap":false,"ignore_user_time_overlap":false}'
Response
{
  "id": "projects-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "ignore_workstation_time_overlap": false,
  "ignore_user_time_overlap": false,
  "ignore_employee_time_overlap": false,
  "fetch_timesheet_in_sales_invoice": false
}